Index: CKEditor/branches/versions/3.3.x/_source/core/_bootstrap.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/_bootstrap.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/_bootstrap.js	(revision 5388)
@@ -10,4 +10,11 @@
 (function()
 {
+	// Disable HC detaction in WebKit. (#5429)
+	if ( CKEDITOR.env.webkit )
+	{
+		CKEDITOR.env.hc = false;
+		return;
+	}
+
 	// Check is High Contrast is active by creating a temporary element with a
 	// background image.
@@ -15,5 +22,4 @@
 	var useSpacer = CKEDITOR.env.ie && CKEDITOR.env.version < 7,
 		useBlank = CKEDITOR.env.ie && CKEDITOR.env.version == 7;
-
 
 	var backgroundImageUrl = useSpacer ? ( CKEDITOR.basePath + 'images/spacer.gif' ) :
@@ -37,4 +43,5 @@
 		CKEDITOR.env.hc = false;
 	}
+
 	if ( CKEDITOR.env.hc )
 		CKEDITOR.env.cssClass += ' cke_hc';
Index: CKEditor/branches/versions/3.3.x/_source/core/ckeditor_base.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/ckeditor_base.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/ckeditor_base.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -137,6 +137,6 @@
 				}
 
-				if( !path )
-						throw 'The CKEditor installation path could not be automatically detected. Please set the global variable "CKEDITOR_BASEPATH" before creating editor instances.'
+				if ( !path )
+						throw 'The CKEditor installation path could not be automatically detected. Please set the global variable "CKEDITOR_BASEPATH" before creating editor instances.';
 
 				return path;
Index: CKEditor/branches/versions/3.3.x/_source/core/commanddefinition.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/commanddefinition.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/commanddefinition.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -98,5 +98,5 @@
  *     {
  *     },
- *     startDisabled : true    // Command is unavailable until selection is inside a link. 
+ *     startDisabled : true    // Command is unavailable until selection is inside a link.
  * });
  */
Index: CKEditor/branches/versions/3.3.x/_source/core/config.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/config.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/config.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/core/dom/domobject.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dom/domobject.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/dom/domobject.js	(revision 5388)
@@ -126,5 +126,5 @@
 		{
 			var nativeListeners = this.getCustomData( '_cke_nativeListeners' );
-			for ( eventName in nativeListeners)
+			for ( var eventName in nativeListeners )
 			{
 				var listener = nativeListeners[ eventName ];
Index: CKEditor/branches/versions/3.3.x/_source/core/dom/range.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dom/range.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/dom/range.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -1274,5 +1274,5 @@
 					}
 				}
-				
+
 				if ( endContainer && endContainer.type == CKEDITOR.NODE_TEXT )
 				{
@@ -1309,4 +1309,6 @@
 					if ( !movingOut && node.type == CKEDITOR.NODE_ELEMENT )
 						currentElement = node;
+
+					return true;
 				};
 
@@ -1833,3 +1835,2 @@
 CKEDITOR.SHRINK_ELEMENT = 1;
 CKEDITOR.SHRINK_TEXT = 2;
-
Index: CKEditor/branches/versions/3.3.x/_source/core/dtd.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/dtd.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/dtd.js	(revision 5388)
@@ -40,5 +40,5 @@
 		D = X({iframe:1},C),
 		E = {hr:1,ul:1,menu:1,div:1,blockquote:1,noscript:1,table:1,center:1,address:1,dir:1,pre:1,h5:1,dl:1,h4:1,noframes:1,h6:1,ol:1,h1:1,h3:1,h2:1},
-		F = {ins:1,del:1,script:1},
+		F = {ins:1,del:1,script:1,style:1},
 		G = X({b:1,acronym:1,bdo:1,'var':1,'#':1,abbr:1,code:1,br:1,i:1,cite:1,kbd:1,u:1,strike:1,s:1,tt:1,strong:1,q:1,samp:1,em:1,dfn:1,span:1},F),
 		H = X({sub:1,img:1,object:1,sup:1,basefont:1,map:1,applet:1,font:1,big:1,small:1},G),
Index: CKEditor/branches/versions/3.3.x/_source/core/editor.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/editor.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/editor.js	(revision 5388)
@@ -509,11 +509,4 @@
 				CKEDITOR.tools.removeFunction( this._.filebrowserFn );
 
-			items = editor.config.elementsPath_filters;
-			if ( items )
-			{
-				for ( index= 0 ; index < items.length ; index++ )
-					items[ index ] = null;
-			}
-
 			this.fire( 'destroy' );
 			CKEDITOR.remove( this );
Index: CKEditor/branches/versions/3.3.x/_source/core/env.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/env.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/env.js	(revision 5388)
@@ -71,4 +71,6 @@
 
 			quirks : ( document.compatMode == 'BackCompat' ),
+
+			mobile : ( agent.indexOf( 'mobile' ) > -1 ),
 
 			isCustomDomain : function()
@@ -177,4 +179,5 @@
 		 */
 		env.isCompatible =
+			!env.mobile && (
 			( env.ie && version >= 6 ) ||
 			( env.gecko && version >= 10801 ) ||
@@ -182,5 +185,5 @@
 			( env.air && version >= 1 ) ||
 			( env.webkit && version >= 522 ) ||
-			false;
+			false );
 
 		// The CSS class to be appended on the main UI containers, making it
Index: CKEditor/branches/versions/3.3.x/_source/core/tools.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/core/tools.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/core/tools.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -331,9 +331,9 @@
 		 * alert( CKEDITOR.tools.htmlEncodeAttr( element.getAttribute( 'title' ) );  // "&gt;a &quot; b &lt;"
 		 */
-		htmlEncodeAttr : function( text ) 
+		htmlEncodeAttr : function( text )
 		{
 			return text.replace( /"/g, '&quot;' ).replace( /</g, '&lt;' ).replace( />/, '&gt;' );
 		},
-		
+
 		/**
 		 * Replace characters can't be represented through CSS Selectors string
Index: CKEditor/branches/versions/3.3.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,13 +32,13 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : 'Editor de text enriquit, %1, prem ALT 0 per obtenir ajuda.',
 
 	// ARIA descriptions.
-	toolbar	: 'Toolbar', // MISSING
-	editor	: 'Rich Text Editor', // MISSING
+	toolbar	: 'Barra d\'eines',
+	editor	: 'Editor de text enriquit',
 
 	// Toolbar buttons without dialogs.
 	source			: 'Codi font',
-	newPage			: 'Nova Pàgina',
+	newPage			: 'Nova pàgina',
 	save			: 'Desa',
 	preview			: 'Visualització prèvia',
@@ -93,6 +93,6 @@
 		ok				: 'D\'acord',
 		cancel			: 'Cancel·la',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
+		close			: 'Tanca',
+		preview			: 'Previsualitza',
 		generalTab		: 'General',
 		advancedTab		: 'Avançat',
@@ -100,10 +100,10 @@
 		confirmNewPage	: 'Els canvis en aquest contingut que no es desin es perdran. Esteu segur que voleu carregar una pàgina nova?',
 		confirmCancel	: 'Algunes opcions s\'han canviat. Esteu segur que voleu tancar la finestra de diàleg?',
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
+		options			: 'Opcions',
+		target			: 'Destí',
+		targetNew		: 'Nova finestra (_blank)',
+		targetTop		: 'Finestra major (_top)',
+		targetSelf		: 'Mateixa finestra (_self)',
+		targetParent	: 'Finestra pare (_parent)',
 
 		// Put the voice-only part of the label in the span.
@@ -136,5 +136,5 @@
 		advanced	: 'Avançat',
 		type		: 'Tipus d\'enllaç',
-		toUrl		: 'URL', // MISSING
+		toUrl		: 'URL',
 		toAnchor	: 'Àncora en aquesta pàgina',
 		toEmail		: 'Correu electrònic',
@@ -223,5 +223,5 @@
 		widthPx		: 'píxels',
 		widthPc		: 'percentatge',
-		widthUnit	: 'width unit', // MISSING
+		widthUnit	: 'unitat d\'amplada',
 		height		: 'Alçada',
 		cellSpace	: 'Espaiat de cel·les',
@@ -274,5 +274,5 @@
 			invalidRowSpan	: 'L\'expansió de files ha de ser un nombre enter.',
 			invalidColSpan	: 'L\'expansió de columnes ha de ser un nombre enter.',
-			chooseColor		: 'Choose' // MISSING
+			chooseColor		: 'Trieu'
 		},
 
@@ -386,5 +386,5 @@
 		height		: 'Alçada',
 		lockRatio	: 'Bloqueja les proporcions',
-		unlockRatio	: 'Unlock Ratio', // MISSING
+		unlockRatio	: 'Desbloqueja el ràtio',
 		resetSize	: 'Restaura la mida',
 		border		: 'Vora',
@@ -398,10 +398,10 @@
 		button2Img	: 'Voleu transformar el botó d\'imatge seleccionat en una simple imatge?',
 		img2Button	: 'Voleu transformar la imatge seleccionada en un botó d\'imatge?',
-		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
-		validateBorder	: 'Border must be a whole number.', // MISSING
-		validateHSpace	: 'HSpace must be a whole number.', // MISSING
-		validateVSpace	: 'VSpace must be a whole number.' // MISSING
+		urlMissing	: 'Falta la URL de la imatge.',
+		validateWidth	: 'L\'amplada ha de ser un nombre enter.',
+		validateHeight	: 'L\'alçada ha de ser un nombre enter.',
+		validateBorder	: 'La vora ha de ser un nombre enter.',
+		validateHSpace	: 'HSpace ha de ser un nombre enter.',
+		validateVSpace	: 'VSpace ha de ser un nombre enter.'
 	},
 
@@ -490,5 +490,5 @@
 	elementsPath :
 	{
-		eleLabel : 'Elements path', // MISSING
+		eleLabel : 'Elements path',
 		eleTitle : '%1 element'
 	},
@@ -512,9 +512,9 @@
 	{
 		title		: 'Enganxa',
-		cutError	: 'La seguretat del vostre navegador no permet executar automàticament les operacions de retallar. Si us plau, utilitzeu el teclat (Ctrl/Cmd+X).',
-		copyError	: 'La seguretat del vostre navegador no permet executar automàticament les operacions de copiar. Si us plau, utilitzeu el teclat (Ctrl/Cmd+C).',
-		pasteMsg	: 'Si us plau, enganxeu dins del següent camp utilitzant el teclat (<STRONG>Ctrl/Cmd+V</STRONG>) i premeu <STRONG>OK</STRONG>.',
+		cutError	: 'La seguretat del vostre navegador no permet executar automàticament les operacions de retallar. Si us plau, utilitzeu el teclat (Ctrl+X).',
+		copyError	: 'La seguretat del vostre navegador no permet executar automàticament les operacions de copiar. Si us plau, utilitzeu el teclat (Ctrl+C).',
+		pasteMsg	: 'Si us plau, enganxeu dins del següent camp utilitzant el teclat (<STRONG>Ctrl+V</STRONG>) i premeu <STRONG>OK</STRONG>.',
 		securityMsg	: 'A causa de la configuració de seguretat del vostre navegador, l\'editor no pot accedir al porta-retalls directament. Enganxeu-ho un altre cop en aquesta finestra.',
-		pasteArea	: 'Paste Area' // MISSING
+		pasteArea	: 'Àrea d\'enganxat'
 	},
 
@@ -524,5 +524,5 @@
 		toolbar			: 'Enganxa des del Word',
 		title			: 'Enganxa des del Word',
-		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		error			: 'No ha estat possible netejar les dades enganxades degut a un error intern'
 	},
 
@@ -548,5 +548,5 @@
 	{
 		label		: 'Estil',
-		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle	: 'Estils de format',
 		panelTitle1	: 'Estils de bloc',
 		panelTitle2	: 'Estils incrustats',
@@ -573,17 +573,17 @@
 	div :
 	{
-		title				: 'Create Div Container', // MISSING
-		toolbar				: 'Create Div Container', // MISSING
-		cssClassInputLabel	: 'Stylesheet Classes', // MISSING
-		styleSelectLabel	: 'Style', // MISSING
-		IdInputLabel		: 'Id', // MISSING
-		languageCodeInputLabel	: ' Language Code', // MISSING
-		inlineStyleInputLabel	: 'Inline Style', // MISSING
-		advisoryTitleInputLabel	: 'Advisory Title', // MISSING
-		langDirLabel		: 'Language Direction', // MISSING
-		langDirLTRLabel		: 'Left to Right (LTR)', // MISSING
-		langDirRTLLabel		: 'Right to Left (RTL)', // MISSING
-		edit				: 'Edit Div', // MISSING
-		remove				: 'Remove Div' // MISSING
+		title				: 'Crea un contenidor Div',
+		toolbar				: 'Crea un contenidor Div',
+		cssClassInputLabel	: 'Classes de la fulla d\'estils',
+		styleSelectLabel	: 'Estil',
+		IdInputLabel		: 'Id',
+		languageCodeInputLabel	: ' Codi d\'idioma',
+		inlineStyleInputLabel	: 'Estil en línia',
+		advisoryTitleInputLabel	: 'Títol de guia',
+		langDirLabel		: 'Direcció de l\'idioma',
+		langDirLTRLabel		: 'D\'esquerra a dreta (LTR)',
+		langDirRTLLabel		: 'De dreta a esquerra (RTL)',
+		edit				: 'Edita Div',
+		remove				: 'Elimina Div'
   	},
 
@@ -606,5 +606,5 @@
 		textColorTitle	: 'Color de Text',
 		bgColorTitle	: 'Color de Fons',
-		panelTitle		: 'Colors', // MISSING
+		panelTitle		: 'Colors',
 		auto			: 'Automàtic',
 		more			: 'Més colors...'
@@ -613,44 +613,44 @@
 	colors :
 	{
-		'000' : 'Black', // MISSING
-		'800000' : 'Maroon', // MISSING
-		'8B4513' : 'Saddle Brown', // MISSING
-		'2F4F4F' : 'Dark Slate Gray', // MISSING
-		'008080' : 'Teal', // MISSING
-		'000080' : 'Navy', // MISSING
-		'4B0082' : 'Indigo', // MISSING
-		'696969' : 'Dim Gray', // MISSING
-		'B22222' : 'Fire Brick', // MISSING
-		'A52A2A' : 'Brown', // MISSING
-		'DAA520' : 'Golden Rod', // MISSING
-		'006400' : 'Dark Green', // MISSING
-		'40E0D0' : 'Turquoise', // MISSING
-		'0000CD' : 'Medium Blue', // MISSING
-		'800080' : 'Purple', // MISSING
-		'808080' : 'Gray', // MISSING
-		'F00' : 'Red', // MISSING
-		'FF8C00' : 'Dark Orange', // MISSING
-		'FFD700' : 'Gold', // MISSING
-		'008000' : 'Green', // MISSING
-		'0FF' : 'Cyan', // MISSING
-		'00F' : 'Blue', // MISSING
-		'EE82EE' : 'Violet', // MISSING
-		'A9A9A9' : 'Dark Gray', // MISSING
-		'FFA07A' : 'Light Salmon', // MISSING
-		'FFA500' : 'Orange', // MISSING
-		'FFFF00' : 'Yellow', // MISSING
-		'00FF00' : 'Lime', // MISSING
-		'AFEEEE' : 'Pale Turquoise', // MISSING
-		'ADD8E6' : 'Light Blue', // MISSING
-		'DDA0DD' : 'Plum', // MISSING
-		'D3D3D3' : 'Light Grey', // MISSING
-		'FFF0F5' : 'Lavender Blush', // MISSING
-		'FAEBD7' : 'Antique White', // MISSING
-		'FFFFE0' : 'Light Yellow', // MISSING
-		'F0FFF0' : 'Honeydew', // MISSING
-		'F0FFFF' : 'Azure', // MISSING
-		'F0F8FF' : 'Alice Blue', // MISSING
-		'E6E6FA' : 'Lavender', // MISSING
-		'FFF' : 'White' // MISSING
+		'000' : 'Negre',
+		'800000' : 'Granat',
+		'8B4513' : 'Marró sella',
+		'2F4F4F' : 'Gris pissarra fosca',
+		'008080' : 'Blau xarxet',
+		'000080' : 'Blau marí',
+		'4B0082' : 'Indi',
+		'696969' : 'Gris intens',
+		'B22222' : 'Maó',
+		'A52A2A' : 'Marró (web)',
+		'DAA520' : 'Solidago',
+		'006400' : 'Verd fosc',
+		'40E0D0' : 'Turquesa',
+		'0000CD' : 'Atzur',
+		'800080' : 'Lila',
+		'808080' : 'Gris',
+		'F00' : 'Vermell',
+		'FF8C00' : 'Taronja fosc',
+		'FFD700' : 'Or',
+		'008000' : 'Verd',
+		'0FF' : 'Cian',
+		'00F' : 'Blau',
+		'EE82EE' : 'Lavanda rosat',
+		'A9A9A9' : 'Gris clar',
+		'FFA07A' : 'Salmó clar',
+		'FFA500' : 'Taronja',
+		'FFFF00' : 'Groc',
+		'00FF00' : 'Verd llima',
+		'AFEEEE' : 'Blau pàlid',
+		'ADD8E6' : 'Blau clar',
+		'DDA0DD' : 'Pruna',
+		'D3D3D3' : 'Gris clar',
+		'FFF0F5' : 'Lavanda rosat',
+		'FAEBD7' : 'Blanc antic',
+		'FFFFE0' : 'Groc clar',
+		'F0FFF0' : 'Verd pàlid',
+		'F0FFFF' : 'Blau cel pàlid',
+		'F0F8FF' : 'Cian pàlid',
+		'E6E6FA' : 'Lavanda',
+		'FFF' : 'Blanc'
 	},
 
@@ -683,6 +683,6 @@
 	},
 
-	maximize : 'Maximiza',
-	minimize : 'Minimize', // MISSING
+	maximize : 'Maximitza',
+	minimize : 'Minimitza',
 
 	fakeobjects :
@@ -698,11 +698,11 @@
 	colordialog :
 	{
-		title		: 'Select color', // MISSING
-		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
-		clear		: 'Clear' // MISSING
-	},
-
-	toolbarCollapse	: 'Collapse Toolbar', // MISSING
-	toolbarExpand	: 'Expand Toolbar' // MISSING
+		title		: 'Selecciona el color',
+		highlight	: 'Destacat',
+		selected	: 'Seleccionat',
+		clear		: 'Neteja'
+	},
+
+	toolbarCollapse	: 'Redueix la barra d\'eines',
+	toolbarExpand	: 'Amplia la barra d\'eines'
 };
Index: CKEditor/branches/versions/3.3.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/et.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/et.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/eu.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/eu.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fa.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fa.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fi.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fi.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,9 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : 'Rikastekstieditori, %1, paina ALT 0 nähdäksesi ohjeen.',
 
 	// ARIA descriptions.
-	toolbar	: 'Toolbar', // MISSING
-	editor	: 'Rich Text Editor', // MISSING
+	toolbar	: 'Työkalupalkki',
+	editor	: 'Rikastekstieditori',
 
 	// Toolbar buttons without dialogs.
@@ -93,6 +93,6 @@
 		ok				: 'OK',
 		cancel			: 'Peruuta',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
+		close			: 'Sulje',
+		preview			: 'Esikatselu',
 		generalTab		: 'Yleinen',
 		advancedTab		: 'Lisäominaisuudet',
@@ -100,10 +100,10 @@
 		confirmNewPage	: 'Kaikki tallentamattomat muutokset tähän sisältöön menetetään. Oletko varma, että haluat ladata uuden sivun?',
 		confirmCancel	: 'Jotkut asetuksista on muuttuneet. Oletko varma, että haluat sulkea valintaikkunan?',
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
+		options			: 'Asetukset',
+		target			: 'Kohde',
+		targetNew		: 'Uusi ikkuna (_blank)',
+		targetTop		: 'Päällimmäinen ikkuna (_top)',
+		targetSelf		: 'Sama ikkuna (_self)',
+		targetParent	: 'Ylemmän tason ikkuna (_parent)',
 
 		// Put the voice-only part of the label in the span.
@@ -128,5 +128,5 @@
 	{
 		toolbar		: 'Lisää linkki/muokkaa linkkiä',
-		other 		: '<muu>',
+		other 		: '<other>', // MISSING
 		menu		: 'Muokkaa linkkiä',
 		title		: 'Linkki',
@@ -136,5 +136,5 @@
 		advanced	: 'Lisäominaisuudet',
 		type		: 'Linkkityyppi',
-		toUrl		: 'URL', // MISSING
+		toUrl		: 'Osoite',
 		toAnchor	: 'Ankkuri tässä sivussa',
 		toEmail		: 'Sähköposti',
@@ -223,5 +223,5 @@
 		widthPx		: 'pikseliä',
 		widthPc		: 'prosenttia',
-		widthUnit	: 'width unit', // MISSING
+		widthUnit	: 'leveysyksikkö',
 		height		: 'Korkeus',
 		cellSpace	: 'Solujen väli',
@@ -386,5 +386,5 @@
 		height		: 'Korkeus',
 		lockRatio	: 'Lukitse suhteet',
-		unlockRatio	: 'Unlock Ratio', // MISSING
+		unlockRatio	: 'Vapauta suhteet',
 		resetSize	: 'Alkuperäinen koko',
 		border		: 'Raja',
@@ -399,9 +399,9 @@
 		img2Button	: 'Haluatko muuntaa valitun kuvan kuvanäppäimeksi?',
 		urlMissing	: 'Kuvan lähdeosoite puuttuu.',
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
-		validateBorder	: 'Border must be a whole number.', // MISSING
-		validateHSpace	: 'HSpace must be a whole number.', // MISSING
-		validateVSpace	: 'VSpace must be a whole number.' // MISSING
+		validateWidth	: 'Leveyden täytyy olla kokonaisluku.',
+		validateHeight	: 'Korkeuden täytyy olla kokonaisluku.',
+		validateBorder	: 'Reunan täytyy olla kokonaisluku.',
+		validateHSpace	: 'HSpace-määrityksen täytyy olla kokonaisluku.',
+		validateVSpace	: 'VSpace-määrityksen täytyy olla kokonaisluku.'
 	},
 
@@ -490,5 +490,5 @@
 	elementsPath :
 	{
-		eleLabel : 'Elements path', // MISSING
+		eleLabel : 'Elementin polku',
 		eleTitle : '%1 elementti'
 	},
@@ -512,9 +512,9 @@
 	{
 		title		: 'Liitä',
-		cutError	: 'Selaimesi turva-asetukset eivät salli editorin toteuttaa leikkaamista. Käytä näppäimistöä leikkaamiseen (Ctrl/Cmd+X).',
-		copyError	: 'Selaimesi turva-asetukset eivät salli editorin toteuttaa kopioimista. Käytä näppäimistöä kopioimiseen (Ctrl/Cmd+C).',
-		pasteMsg	: 'Liitä painamalla (<STRONG>Ctrl/Cmd+V</STRONG>) ja painamalla <STRONG>OK</STRONG>.',
+		cutError	: 'Selaimesi turva-asetukset eivät salli editorin toteuttaa leikkaamista. Käytä näppäimistöä leikkaamiseen (Ctrl+X).',
+		copyError	: 'Selaimesi turva-asetukset eivät salli editorin toteuttaa kopioimista. Käytä näppäimistöä kopioimiseen (Ctrl+C).',
+		pasteMsg	: 'Liitä painamalla (<STRONG>Ctrl+V</STRONG>) ja painamalla <STRONG>OK</STRONG>.',
 		securityMsg	: 'Selaimesi turva-asetukset eivät salli editorin käyttää leikepöytää suoraan. Sinun pitää suorittaa liittäminen tässä ikkunassa.',
-		pasteArea	: 'Paste Area' // MISSING
+		pasteArea	: 'Leikealue'
 	},
 
@@ -548,5 +548,5 @@
 	{
 		label		: 'Tyyli',
-		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle	: 'Muotoilujen tyylit',
 		panelTitle1	: 'Lohkojen tyylit',
 		panelTitle2	: 'Rivinsisäiset tyylit',
@@ -606,5 +606,5 @@
 		textColorTitle	: 'Tekstiväri',
 		bgColorTitle	: 'Taustaväri',
-		panelTitle		: 'Colors', // MISSING
+		panelTitle		: 'Värit',
 		auto			: 'Automaattinen',
 		more			: 'Lisää värejä...'
Index: CKEditor/branches/versions/3.3.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fo.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fo.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js	(revision 5378)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js	(revision 5388)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
